Package org.drinkless.tdlib

# Class TdApi.InputPassportElementErrorSourceDataField

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPassportElementErrorSource
org.drinkless.tdlib.TdApi.InputPassportElementErrorSourceDataField

Enclosing class:
  `TdApi`

public static class TdApi.InputPassportElementErrorSourceDataField extends TdApi.InputPassportElementErrorSource
A data field contains an error. The error is considered resolved when the field's value changes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputPassportElementErrorSource

  `TdApi.InputPassportElementErrorSource.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `dataHash`
  Current data hash.
  `String`
  `fieldName`
  Field name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPassportElementErrorSourceDataField()`
  A data field contains an error.
  `InputPassportElementErrorSourceDataField(String fieldName, byte[] dataHash)`
  A data field contains an error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fieldName

    public String fieldName
    Field name.

  - ### dataHash

    public byte[] dataHash
    Current data hash.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPassportElementErrorSourceDataField

    public InputPassportElementErrorSourceDataField()
    A data field contains an error. The error is considered resolved when the field's value changes.

  - ### InputPassportElementErrorSourceDataField

    public InputPassportElementErrorSourceDataField(String fieldName, byte[] dataHash)
    A data field contains an error. The error is considered resolved when the field's value changes.
    Parameters:
      `fieldName` - Field name.
      `dataHash` - Current data hash.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputPassportElementErrorSource`
    Returns:
      this.CONSTRUCTOR